[Debian-astro-commits] [gyoto] 02/05: Add autopkgtest tests for LORENE

Thibaut Jean-Claude Paumard thibaut at moszumanska.debian.org
Thu Oct 13 14:58:29 UTC 2016


This is an automated email from the git hooks/post-receive script.

thibaut pushed a commit to branch lorene
in repository gyoto.

commit c4d41957ec8c7ccd6b5b65273a9475872e5df9f6
Author: Thibaut Paumard <paumard at users.sourceforge.net>
Date:   Wed Sep 21 04:10:42 2016 +0200

    Add autopkgtest tests for LORENE
---
 debian/tests/control          |  5 +++++
 debian/tests/gyoto-lorene     | 31 +++++++++++++++++++++++++++++++
 debian/tests/gyoto-lorene-mpi | 34 ++++++++++++++++++++++++++++++++++
 3 files changed, 70 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
index 9fb7905..18741ad 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -2,6 +2,11 @@ Tests: gyoto gyoto-mpi
 Depends: gyoto-bin, openmpi-bin
 Restrictions: allow-stderr
 
+Tests: gyoto-lorene gyoto-lorene-mpi
+Depends: gyoto-bin, openmpi-bin, liblorene-dev, lorene-codes-src,
+	 build-essential
+Restrictions: allow-stderr
+
 Tests: yorick-gyoto
 Depends: yorick-gyoto
 Restrictions: allow-stderr
diff --git a/debian/tests/gyoto-lorene b/debian/tests/gyoto-lorene
new file mode 100755
index 0000000..8615b6f
--- /dev/null
+++ b/debian/tests/gyoto-lorene
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -e
+
+SRC_ROOT=`pwd`
+
+export HOME_LORENE=/usr/lib/`dpkg-architecture -qDEB_HOST_MULTIARCH`/lorene
+
+
+mkdir -p ${ADTTMP}
+mkdir -p ${ADT_ARTIFACTS}
+
+cd ${ADTTMP}
+rm -Rf .check-lorene
+cp -a ${HOME_LORENE}/Codes/Nrotstar ./.check-lorene
+cd .check-lorene
+rm -f nrotstar *.o
+cp -f Parameters/GR/Kepler/*.d ./
+sed -i.bak 's/1       graph/0       graph/' par_rot.d
+make
+./nrotstar
+cd ..
+
+EXAMPLES_DIR=${SRC_ROOT}/doc/examples
+BASE_NAMES=`basename -s.xml ${EXAMPLES_DIR}/*-rotstar3_1.xml`
+GYOTO="/usr/bin/gyoto -pstdplug,lorene --nprocesses=0 --nthreads=1 --resolution=32"
+
+for base in ${BASE_NAMES} ; do
+    ${GYOTO} ${EXAMPLES_DIR}/${base}.xml \!${ADT_ARTIFACTS}/${base}.fits ;
+done
+
+exit 0
diff --git a/debian/tests/gyoto-lorene-mpi b/debian/tests/gyoto-lorene-mpi
new file mode 100755
index 0000000..caae2c7
--- /dev/null
+++ b/debian/tests/gyoto-lorene-mpi
@@ -0,0 +1,34 @@
+#!/bin/sh
+set -e
+
+SRC_ROOT=`pwd`
+
+export HOME_LORENE=/usr/lib/`dpkg-architecture -qDEB_HOST_MULTIARCH`/lorene
+
+
+mkdir -p ${ADTTMP}/gyoto-lorene-mpi
+mkdir -p ${ADT_ARTIFACTS}
+
+cd ${ADTTMP}/gyoto-lorene-mpi
+rm -Rf .check-lorene
+cp -a ${HOME_LORENE}/Codes/Nrotstar ./.check-lorene
+cd .check-lorene
+rm -f nrotstar *.o
+cp -f Parameters/GR/Kepler/*.d ./
+sed -i.bak 's/1       graph/0       graph/' par_rot.d
+make
+./nrotstar
+cd ..
+
+EXAMPLES_DIR=${SRC_ROOT}/doc/examples
+BASE_NAMES=`basename -s.xml ${EXAMPLES_DIR}/*-rotstar3_1.xml`
+GYOTO="/usr/bin/gyoto --nprocesses=4 --nthreads=1 --resolution=32"
+export GYOTO_PLUGINS="stdplug,lorene"
+export OMPI_MCA_orte_rsh_agent=/bin/false
+
+
+for base in ${BASE_NAMES} ; do
+    orterun --mca btl_tcp_if_include lo ${GYOTO} ${EXAMPLES_DIR}/${base}.xml \!${ADT_ARTIFACTS}/${base}-mpi.fits ;
+done
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-astro/packages/gyoto.git



More information about the Debian-astro-commits mailing list